using UnityEngine;
using System.Collections;

public class AroundTheWorld : MonoBehaviour {
	
	public float angleVert1 = 0;
	public float angleVert2 = 0;
	public float angleVert3 = 0;
	public float angleVert4 = 0;
	public float xOff = 0;
	public float yOff = 0;
	public float zOff = 0;
	public float distance = 10;
	
	public GameObject character;
	public float lookDirection = 0;
	
	public float speed = 1;
	
	public float tParam = 0;
	
	public Transform rotationCenter;
	
	// Use this for initialization
	void Start()
	{
	}
	
	// Update is called once per frame
	void Update () {
		
		tParam = (tParam + speed*Time.deltaTime) % 360;
		/*transform.position = Quaternion.AngleAxis(angleVert1, Vector3.forward) 
			                 * new Vector3(Mathf.Sin(Mathf.Deg2Rad*tParam)*distance, Mathf.Cos(Mathf.Deg2Rad*tParam)*distance, 0);
		character.transform.rotation = Quaternion.Euler(tParam, 90, 0);*/
		transform.position = Quaternion.AngleAxis(angleVert1, Vector3.up) 
			                 * new Vector3(Mathf.Sin(Mathf.Deg2Rad*tParam)*distance, Mathf.Cos(Mathf.Deg2Rad*tParam)*distance, 0);
		var upAxis = Quaternion.AngleAxis(angleVert1, Vector3.up) 
			                 * new Vector3(Mathf.Sin(Mathf.Deg2Rad*(tParam+0.1f))*distance, Mathf.Cos(Mathf.Deg2Rad*(tParam+0.1f))*distance, 0);
		character.transform.rotation = Quaternion.AngleAxis(tParam, -Vector3.forward) * Quaternion.AngleAxis(90, Vector3.up) * Quaternion.FromToRotation(upAxis, transform.position);
		
		
		character.transform.rotation = Quaternion.LookRotation(upAxis - transform.position, tParam >= 89.95 && tParam < 269.95 ? -Vector3.up : Vector3.up);
		
	}
	
	void OnDrawGizmos()
	{
		var gizmo = false;
		if(gizmo)
		{
		transform.position = Quaternion.AngleAxis(angleVert1, Vector3.up) 
			                 * new Vector3(Mathf.Sin(Mathf.Deg2Rad*tParam)*distance, Mathf.Cos(Mathf.Deg2Rad*tParam)*distance, 0);
		var upAxis = Quaternion.AngleAxis(angleVert1, Vector3.up) 
			                 * new Vector3(Mathf.Sin(Mathf.Deg2Rad*(tParam+0.1f))*distance, Mathf.Cos(Mathf.Deg2Rad*(tParam+0.1f))*distance, 0);
		character.transform.rotation = Quaternion.AngleAxis(tParam, -Vector3.forward) * Quaternion.AngleAxis(90, Vector3.up) * Quaternion.FromToRotation(upAxis, transform.position);
		
		
		character.transform.rotation = Quaternion.LookRotation(upAxis - transform.position, tParam >= 89.95 && tParam < 269.95 ? -Vector3.up : Vector3.up);
		}
		/*character.transform.rotation =  
									 Quaternion.AngleAxis(90, Quaternion.AngleAxis(tParam, -Vector3.forward)  * Vector3.up)
									 *  Quaternion.AngleAxis(tParam, -Vector3.forward) ;*/
			                        // * Quaternion.AngleAxis(-angleVert1, Vector3.right);//  (tParam, 90, 0);
		//character.transform.rotation = Quaternion.Euler(0, 90+tParam, 90);
		/*var upAxis = (transform.position -rotationCenter.position)*100;
		var direction = rotationCenter.position - transform.position;
		Gizmos.DrawRay(	transform.position - direction.normalized*2, rotationCenter.position - transform.position);	*/
	}
}
