﻿using UnityEngine;
using System.Collections;

public class AutoDestroy : MonoBehaviour
{
    public float delay = 0.3f;

    void Start()
    {
        StartCoroutine(AutoDestroyRoutine());
    }

    IEnumerator AutoDestroyRoutine()
    {
        yield return new WaitForSeconds(delay);
        Destroy(this.gameObject);
    }

}
