﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour
{
    private Movement movement;
    private Transform transf;
    public float angle;
    // Use this for initialization
    void Start()
    {
		transf = GetComponent<Transform>();
		movement = GetComponent<Movement>();
        StartCoroutine(AutoDestroy());
    }

    // Update is called once per frame
    void Update()
    {
        movement.movementDirection = new Vector2(Mathf.Cos(angle * Mathf.Deg2Rad), Mathf.Sin(angle * Mathf.Deg2Rad));
    }

    IEnumerator AutoDestroy()
    {
        yield return new WaitForSeconds(0.4f);
        Destroy(this.gameObject);
    }

}
